Subject: bug#33740: [PATCH] Customizable flymake mode-line indicator

From: João Távora <[email-masked]>
Date: Tue, 17 Sep 2019 15:07:59 +0100

On Mon, Sep 16, 2019 at 11:22 PM Lars Ingebrigtsen <[email-masked]> wrote:

> João Távora <[email-masked]> writes:
>
> > Looks good, though I would prefer if the defcustom was a format-string
> > where %s would be substituted by the error counts.  That way you could
> > even get rid of the braces or use something else.
>
> Below is a proof-of-this-concept-not-working when done via the normal
> format-spec machinery.  :-)
>

Thanks, Lars.  I'm away from my emacs dev machine so I can't read
the diff very carefully, but if you want to risk it, go ahead and push,
because I
like the defcustom spec and I see you've kept the default. A short entry
in NEWS and the Flymake manual is probably worth it (but you can skip
the latter).

There are arbitrary errors levels in this flymake (not just error warning
and note). But those are the main ones and anyway we can always
add more format machinery later.

I see a lot of changed lines, but most of them are probably whitespace.
Is there some diff format which elides those?

João